/* Copyright (C) 2024 Manuel Bustillo*/

import { Guest } from "@/app/lib/definitions";


function GuestRow({ guests }: { guests: Guest[] }) {
    return (<div className="justify-around flex flex-row">
        {
            guests.map((guest) => {

                return (
                    <div className="m-3 w-24 h-24 rounded-full bg-cyan-100 hover:bg-cyan-200 content-center text-center">
                        {guest.name}
                    </div>
                )
            })
        }

    </div>)
}

export function Table({ guests }: { guests: Guest[] }) {
    const halfwayThrough = Math.floor(guests.length / 2)
    const arrayFirstHalf = guests.slice(0, halfwayThrough);
    const arraySecondHalf = guests.slice(halfwayThrough, guests.length);

    return (
        <div className="m-12 h-64 bg-cyan-800 flex flex-col justify-between">
            <GuestRow guests={arrayFirstHalf} />
            <GuestRow guests={arraySecondHalf} />
        </div>
    )
}